"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const type_1 = require("../core/type");
const userError_1 = require("../core/userError");
const units_1 = require("../unit/units");
const UnitsType = new type_1.default({
    name: 'units',
    fromString(s) {
        return s ? units_1.Units.parse(s) : undefined;
    },
    fromClient(field, value) {
        return typeof value === 'string' ? units_1.Units.parse(s) : value;
    },
    format(field, value) {
        return value ? value.toString() : '';
    },
    query(path, where, query) {
        if (where) {
            // is this right?
            query[path.name] = value.toString();
        }
    },
    matches( /*path, where, doc*/) {
        // TODO
        return true;
    },
    validate(field, value) {
        if (value !== undefined && !(value instanceof units_1.Units)) {
            return new userError_1.UserError({ field, suffix: 'is not a units' });
        }
    },
});
exports.default = UnitsType;
//# sourceMappingURL=units.js.map